package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.Dksq;

/**
 * 贷款申请_主Service接口
 * 
 * @author boman
 * @date 2023-06-15
 */
public interface IDksqService 
{
    /**
     * 查询贷款申请_主
     * 
     * @param id 贷款申请_主主键
     * @return 贷款申请_主
     */
    public Dksq selectDksqById(Long id);

    /**
     * 查询贷款申请_主列表
     * 
     * @param dksq 贷款申请_主
     * @return 贷款申请_主集合
     */
    public List<Dksq> selectDksqList(Dksq dksq);

    /**
     * 新增贷款申请_主
     * 
     * @param dksq 贷款申请_主
     * @return 结果
     */
    public int insertDksq(Dksq dksq);

    /**
     * 修改贷款申请_主
     * 
     * @param dksq 贷款申请_主
     * @return 结果
     */
    public int updateDksq(Dksq dksq);

    /**
     * 批量删除贷款申请_主
     * 
     * @param ids 需要删除的贷款申请_主主键集合
     * @return 结果
     */
    public int deleteDksqByIds(Long[] ids);

    /**
     * 删除贷款申请_主信息
     * 
     * @param id 贷款申请_主主键
     * @return 结果
     */
    public int deleteDksqById(Long id);
}
